Page MenuHomePhabricator

On alpha, clicking header launches hamburger menu and search without forcing a page load
Closed, ResolvedPublic5 Story Points

Description

Acceptance criteria
Tapping the search icon opens the js menu
No back button needed on the js menu
Same animation as menu in stable
Tapping search opens search as usual
Search background opaque white, not transparent as menu in stable

Design
Menu

Search

Event Timeline

JKatzWMF created this task.Apr 15 2015, 5:51 PM
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a project: Readers-Web-Backlog.
JKatzWMF moved this task to 2016-17 Q2 on the Readers-Web-Backlog board.
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2015, 5:51 PM
KLans_WMF added a project: Mobile-Web-Design.
KLans_WMF set Security to None.
phuedx removed KHammerstein as the assignee of this task.Apr 22 2015, 6:26 PM
phuedx updated the task description. (Show Details)
phuedx removed a project: Mobile-Web-Design.
phuedx updated the task description. (Show Details)
KLans_WMF renamed this task from On alpha, clicking header launches hamburger menu and search without forcing a page load to (5) On alpha, clicking header launches hamburger menu and search without forcing a page load.Apr 27 2015, 6:59 PM
KLans_WMF renamed this task from (5) On alpha, clicking header launches hamburger menu and search without forcing a page load to On alpha, clicking header launches hamburger menu and search without forcing a page load.Apr 27 2015, 7:06 PM
KLans_WMF updated the task description. (Show Details)
KLans_WMF edited a custom field.
bmansurov updated the task description. (Show Details)Apr 27 2015, 7:14 PM

Change 207005 had a related patch set uploaded (by Bmansurov):
Alpha: Show the main menu without a page reload when JavaScript is enabled

https://gerrit.wikimedia.org/r/207005

@Jdlrobson there are some patches of yours that are blocking this; can you let us know the status of these?

There seems to be some cross team communication issues here...

I added the blocking patch T95332 as a suggestion since it would make doing this a lot easier. It can be removed if @phuedx @bmansurov are keen to keep doing it this way. My patches for those cards just need someone to review and merge them.

I -1ed as there were issues in the patch... @bmansurov just needs to fix those on his end.

@Jdlrobson, I've reviewed your patch. Since your patches are close to be merged, I'll work on my patch after yours have been merged. This will allow you not to re-write your patches after mine gets merged before yours. Also, this will allow me not to re-write mine in case your patches get merged first.

phuedx added a comment.May 5 2015, 7:25 AM

There seems to be some cross team communication issues here...

Agreed. Given that we use the "Blocked By" and "Blocks" Phab features to actually mean "this is blocked by" and "this blocks" I suggest that we use comments to track suggestions.

Regardless, we could have ironed this out earlier had I followed up on this sooner.

@Jdlrobson, @bmansurov: Just how close are the dependent patches to being merged?

Change 207005 merged by jenkins-bot:
Alpha: Show the main menu without a page reload when JavaScript is enabled

https://gerrit.wikimedia.org/r/207005

@phuedx, to answer your question. It was very close at the time, just minor edits were needed.

@KHammerstein: This should be available to sign off on labs.

@KHammerstein bump to you for signoff, if possible would like to get signed off ASAP, as our sprint officially ends in 1 hour ;-)

phuedx closed this task as Resolved.May 11 2015, 6:10 PM
phuedx removed a project: Patch-For-Review.